require("ualove.pixelmap")

math.randomseed(os.time())

function love.load()
	bg = love.graphics.newImage"bg.jpg"
	cirnos = {}
	for n=1,10 do
		local t = pixelmap.open("cirno.lpx")
		t.velocity = math.random(40,400)
		t.y = math.random(10, 500)
		t.x = -100
		t.te = math.random(5)/100
		t:changeFrame(math.random(#t._data))
		cirnos[n] = t
	end
end

function love.draw()
	love.graphics.draw(bg, 0, 0)
	for n=1,10 do
		local cirno = cirnos[n]
		cirno:draw(cirno.x, cirno.y)
	end
end

function love.update(dt)
	for n=1,10 do
		local cirno = cirnos[n]
		cirno.te = cirno.te + dt
		if cirno.te > 0.1 then
			local fr = cirno:getFrame()
			if fr == #cirno._data then
				cirno:changeFrame(1)
			else
				cirno:changeFrame(fr + 1)
			end
			cirno.te = 0
		end
		cirno.x = cirno.x + cirno.velocity * dt
		if cirno.x > 900 then
			cirno.velocity = math.random(40,400)
			cirno.y = math.random(10, 500)
			cirno.x = -100
		end
	end
end

function love.keypressed(k)
	if k == "escape" then love.event.push"q" end
end